namespace MauiSpark.Pages;

/// <summary>
/// Page d'accueil de l'application.
/// </summary>
public partial class AccueilPage : ContentPage
{

    /// <summary>
    /// Constructeur de la page d'accueil.
    /// Initialise les paramtres de navigation et les composants de la page.
    /// </summary>
    public AccueilPage()
	{
		NavigationPage.SetHasBackButton(this, false);
        NavigationPage.SetHasNavigationBar(this, false);

        InitializeComponent();
	}

    /// <summary>
    /// Mthode dclenche lorsque le bouton "Jouer" est cliqu.
    /// Navigue vers la page Mode.
    /// </summary>
    /// <param name="sender">L'objet qui appelle l'vnement ; dans ce cas, le bouton "Jouer".</param>
    /// <param name="e">L'instance de l'vnement EventArgs cre par le systme.</param>
    private void QuandJouerClique(Object? sender, EventArgs e)
	{
		Navigation.PushAsync(new ModePage());
	}

    /// <summary>
    /// Mthode dclenche lorsque le bouton "Reprendre" est cliqu.
    /// Navigue vers la page Reprendre.
    /// </summary>
    /// <param name="sender">L'objet qui appelle l'vnement ; dans ce cas, le bouton "Reprendre".</param>
    /// <param name="e">L'instance de l'vnement EventArgs cre par le systme.</param>
    private void QuandReprendreClique(Object? sender, EventArgs e)
    {
        Navigation.PushAsync(new ReprendrePage());
    }
}