using MauiSpark.Pages;

namespace MauiSpark.Vues;

/// <summary>
/// Vue reprsentant un bouton pour accder  la page de classement.
/// </summary>
public partial class BoutonClassementVue : ContentView
{
    /// <summary>
    /// Constructeur de la vue du bouton de classement.
    /// Initialise les composants de la vue.
    /// </summary>
    public BoutonClassementVue()
	{
		InitializeComponent();
	}

    /// <summary>
    /// Mthode dclenche lorsque le bouton de classement est cliqu.
    /// Navigue vers la page de classement.
    /// </summary>
    /// <param name="sender">L'objet qui appelle l'vnement ; ici le bouton de classement.</param>
    /// <param name="e">L'instance de l'vnement EventArgs cre par le systme.</param>
    private void QuandClassementClique(Object? sender, EventArgs e)
    {
        Navigation.PushAsync(new ClassementPage());
    }
}