namespace MauiSpark.Vues;

/// <summary>
/// Vue reprsentant une image de rsultat.
/// </summary>
public partial class ImageResultatVue : ContentView
{
    /// <summary>
    /// Proprit attache  l'image affiche dans la vue.
    /// </summary>
    public static readonly BindableProperty ImageProperty = BindableProperty.Create(nameof(Image), typeof(ImageSource), typeof(ImageResultatVue), null);

    /// <summary>
    /// Obtient ou dfinit l'image affiche dans la vue.
    /// </summary>
    public ImageSource Image
    {
        get => (ImageSource)GetValue(ImageProperty);
        set => SetValue(ImageProperty, value);
    }

    /// <summary>
    /// Constructeur de la vue de l'image de rsultat.
    /// Initialise les composants de la vue et lie le contexte de liaison  cette instance.
    /// </summary>
    public ImageResultatVue()
    {
        InitializeComponent();
        BindingContext = this;
    }
}