namespace MauiSpark.Vues;

/// <summary>
/// Vue pour afficher le titre et la description des rgles.
/// </summary>
public partial class ReglesVue : ContentView
{
    /// <summary>
    /// Identifie la proprit de dpendance pour le Nom des rgles.
    /// </summary>
    public static readonly BindableProperty NomProperty = BindableProperty.Create(nameof(Nom), typeof(string), typeof(ReglesVue), default(string));

    /// <summary>
    /// Identifie la proprit de dpendance pour la description des rgles.
    /// </summary>
    public static readonly BindableProperty DescriptionProperty = BindableProperty.Create(nameof(Description), typeof(string), typeof(ReglesVue), default(string));

    /// <summary>
    /// Obtient ou dfinit le titre des rgles.
    /// </summary>
    public string Nom
    {
        get => (string)GetValue(NomProperty);
        set => SetValue(NomProperty, value);
    }

    /// <summary>
    /// Obtient ou dfinit la description des rgles.
    /// </summary>
    public string Description
    {
        get => (string)GetValue(DescriptionProperty);
        set => SetValue(DescriptionProperty, value);
    }

    /// <summary>
    /// Initialise une nouvelle instance de la classe <see cref="ReglesVue"/>.
    /// </summary>
    public ReglesVue()
	{
		InitializeComponent();

		BindingContext = this;
	}
}